| Kea 3.0.2-git

config_backend_dhcp4.h File Reference
`#include <cc/stamped_value.h>`
`#include <config_backend/base_config_backend.h>`
`#include <database/audit_entry.h>`
`#include <database/server.h>`
`#include <database/server_collection.h>`
`#include <database/server_selector.h>`
`#include <dhcp/option.h>`
`#include <dhcp/option_definition.h>`
`#include <dhcpsrv/cfg_option.h>`
`#include <dhcpsrv/client_class_def.h>`
`#include <dhcpsrv/shared_network.h>`
`#include <dhcpsrv/subnet.h>`
`#include <boost/shared_ptr.hpp>`
`#include <boost/date_time/posix_time/ptime.hpp>`
`#include <string>`
Include dependency graph for config_backend_dhcp4.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::dhcp::ConfigBackendDHCPv4
| Interface implemented by DHCPv4 configuration backends. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::dhcp

## Typedefs
typedef boost::shared_ptr< ConfigBackendDHCPv4 > | isc::dhcp::ConfigBackendDHCPv4Ptr
| Shared pointer to the `ConfigBackendDHCPv4` instance.